# leiyi-cli
## 简介
#### leiyi-cli是一个自动化生成vue2，vue3和react项目模版的工具，为开发中大型项目提供开箱即用的解决方案，降低前端开发搭建项目模版的各种问题

## 模版介绍
#### vue2
`1. `根据文件路径自动化生成router，降低初级前端人员编写路由文件的难度

`2. `axios请求封装并挂载vue原型上，使用简便

`3. `自动化引入svg，svg组件化使用，自动化全局过滤器的引入以及mock功能

`4. `vuex的自动化嵌套,持久化存储，自定义指令自动化注册，装饰器的使用，全局sass变量的处理

`5. `stylelint,eslint,commitlint,prettier自动格式化等规范开发，提交规则

`6. `配置公共代码提取，gzip压缩，图片压缩，多进程编译，多进程打包处理，打包时console，debugger，注释删除处理，提升构建效率，提高开发体验
#### vue3（功能同vue2）
`1. `数据管理使用pinia

`2. `增加了vitest单元测试，typesctipt支持

`3. `使用vite3模版构建，速度快，开发体验好

#### react只做了基础的支持（后续优化...）

#### 安装
```
    npm install leiyi-cli -g

```
#### 使用
```
    leiyi create projectName(项目文件夹名称)
```



